|  | Home |

# ValueList Class Reference
(QMailKeyArgument::ValueList)

The ValueList class provides a list of variant values that can be serialized to a stream, and compared. More...

        #include <QMailKeyArgument>

- List of all members, including inherited members

## Public Functions

void | deserialize ( Stream & stream )
void | serialize ( Stream & stream ) const
bool | operator== ( const ValueList & other ) const

## Detailed Description

The ValueList class provides a list of variant values that can be serialized to a stream, and compared.

The ValueList class inherits from QVariantList.

See also QVariantList.

## Member Function Documentation

### void ValueList::deserialize ( Stream & stream )

Reads the contents of a ValueList from stream.

### void ValueList::serialize ( Stream & stream ) const

Writes the contents of a ValueList to stream.

### bool ValueList::operator== ( const ValueList & other ) const

Returns true if this list and other contain equivalent values.